BSD-FAQ-it
Indietro | Capitolo 11. Apache2 | Avanti

# 11.2. Installiamo Apache2

Senza trattare i particolari relativi all'ottimizzazione della configurazione di Apache, in questo paragrafo verrà illustrata la procedura di installazione che è comune all'installazione di qualsiasi ports

    [root@battaglia root]# cd /usr/ports/www/apache2/
    [root@battaglia apache2]# make install

Al termine dell'installazione facciamo pulizia

    [root@battaglia apache2]# make clean

I file di configurazione di apache2 vengono installati nella directory /usr/local/etc/apache2

    [root@battaglia root]# ls -l /usr/local/etc/apache2/
    total 164
    -rw-r--r-- 1 root wheel  1979 Apr 16 14:52 highperformance-std.conf
    -rw-r--r-- 1 root wheel  1979 Apr 16 14:52 highperformance.conf
    -rw-r--r-- 1 root wheel 37981 Apr 16 14:52 httpd-std.conf
    -rw-r--r-- 1 root wheel 37263 Apr 16 15:45 httpd.conf
    -rw-r--r-- 1 root wheel 12959 Apr 16 14:52 magic
    -rw-r--r-- 1 root wheel 12959 Apr 16 14:52 magic-dist
    -rw-r--r-- 1 root wheel 12368 Apr 16 14:52 mime.types
    -rw-r--r-- 1 root wheel 12368 Apr 16 14:52 mime.types-dist
    -rw-r--r-- 1 root wheel 11068 Apr 16 14:52 ssl-std.conf
    -rw-r--r-- 1 root wheel 11095 Apr 16 16:29 ssl.conf
    drwxr-xr-x 2 root wheel   512 Apr 16 14:01 ssl.crt
    drwxr-xr-x 2 root wheel   512 Apr 16 13:58 ssl.key

Avviamo il server web utilizzando il comando apachectl start. Il file che consentirà di avviare automaticamente Apache2 come servizio locale del sistema è /usr/local/etc/rc.d/apache2.sh.

Il processo di installazione prevede anche la compilazione automatica del modulo mod_ssl, per attivare questo modulo sarà necessario creare una chiave privata che identifichi il server, successivamente dovremo anche generare il relativo certificato digitale autosegnato.

Indietro | Partenza | Avanti
Apache2 | Risali | Attiviamo mod_ssl